
Redmine - Feature #2893

Add a view to confirm issue deletion

2009-03-04 11:19 - Drarok Ithaqua

Status: Reopened Start date: 2009-03-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When attempting to navigate our redmine today, I accidentally deleted an issue by using the middle button in Firefox (I was trying to

open an issue in a new tab, the default behaviour for middle-click).

What actually happened was the context menu came up, and my 2nd middle click went to the delete button, which does not show

the confirmation dialogue, deleted my issue in a new tab.

Running: Redmine 0.7.devel (MySQL)

Related issues:

Related to Redmine - Feature #33071: Prevent accidental deletion of contents ... Reopened

Related to Redmine - Feature #8942: Soft deletion of ticket Closed 2011-07-29

History

#1 - 2009-03-04 18:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

I'm not able to reproduce.

I've re-checked, the delete link of the context menu shows the confirmation dialog box before deleting the issue.

You can also see it in the view: source:/trunk/app/views/issues/context_menu.rhtml@2460#L92

Maybe you accidentally clicked on 'Yes' too :-)

#2 - 2009-03-04 22:33 - Drarok Ithaqua

- Status changed from Closed to Reopened

I've just upgraded to svn-HEAD (and erased all my data with rake db:migrate while I was at it, but that's not a fault you can fix...), and can still

reproduce this behaviour. THe problem is that the assumption is made as such:

If the javascript right-click menu has appeared, javascript will intercept the click and present the "are you sure" confirmation.

This is not a safe assumption. /issues/destroy?ids[]=19 is opened in a background tabs and erases with no confirmation.

#3 - 2009-03-04 23:46 - Jean-Philippe Lang

(and erased all my data with rake db:migrate while I was at it, but that's not a fault you can fix...)

 Please, don't make such a comment. rake db:migrate does not erase any data.

#4 - 2009-03-04 23:52 - Jean-Philippe Lang

- Subject changed from Issues can be deleted by accident to Add a view to confirm issue deletion

#5 - 2009-03-04 23:52 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#6 - 2011-03-29 14:38 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/2460/entry/trunk/app/views/issues/context_menu.rhtml#L92


- Category set to UI

- Resolution deleted (Invalid)

#7 - 2020-03-05 04:54 - Go MAEDA

- Related to Feature #33071: Prevent accidental deletion of contents with sudo mode added

#8 - 2022-01-17 00:29 - Go MAEDA

- Related to Feature #8942: Soft deletion of ticket added
